Package javax.security.auth.message.callback

## Class CertStoreCallback

- java.lang.Object
- - javax.security.auth.message.callback.CertStoreCallback

All Implemented Interfaces:
  `javax.security.auth.callback.Callback`

    public class CertStoreCallback
    extends java.lang.Object
    implements javax.security.auth.callback.Callback

Callback that enables a runtime to inform authentication modules of the CertStore to use.

### Constructor Summary

Constructors
`CertStoreCallback()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.security.cert.CertStore` `getCertStore()`
`void` `setCertStore​(java.security.cert.CertStore certStore)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CertStoreCallback

    public CertStoreCallback()

### Method Detail

#### setCertStore

    public void setCertStore​(java.security.cert.CertStore certStore)

#### getCertStore

    public java.security.cert.CertStore getCertStore()